#
# LSST Data Management System
#
# This product includes software developed by the
# LSST Project (http://www.lsst.org/).
#
# See COPYRIGHT file at the top of the source tree.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the LSST License Statement and
# the GNU General Public License along with this program.  If not,
# see <https://www.lsstcorp.org/LegalNotices/>.
#
"""Exceptions for the lsst.verify namespace."""

__all__ = ['VerifyError',
           'VerifySpecificationError',
           'SpecificationResolutionError']


class VerifyError(Exception):
    """Base error for verify."""
    pass


class VerifySpecificationError(VerifyError):
    """Error accessing or using requirement specifications."""
    pass


class SpecificationResolutionError(Exception):
    """Error resolving a specification document's stated inheritance."""
    pass
